Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Xen
ID: SUSE-SU-2013:1314-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 11 SP3, SUSE Linux Enterprise Server 11 SP3, SUSE Linux Enterprise Software Development Kit 11 SP3
Datum: Fr, 9. August 2013, 22:51
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2194
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2195
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2196
Applikationen: Xen

Originalnachricht

   SUSE Security Update: Security update for Xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2013:1314-1
Rating: important
References: #801663 #808085 #808269 #817210 #820917 #820919
#820920 #823011 #823608
Cross-References: CVE-2013-2194 CVE-2013-2195 CVE-2013-2196

Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Desktop 11 SP3
______________________________________________________________________________

An update that solves three vulnerabilities and has 6 fixes
is now available.

Description:


The Xen hypervisor and toolset has been updated to 4.2.2_06
to fix various bugs and security issues:

The following security issues have been addressed:

* CVE-2013-2194: Various integer overflows in the ELF
loader were fixed. (XSA-55)
* CVE-2013-2195: Various pointer dereferences issues in
the ELF loader were fixed. (XSA-55)
* CVE-2013-2196: Various other problems in the ELF
loader were fixed. (XSA-55)
* CVE-2013-2078: A Hypervisor crash due to missing
exception recovery on XSETBV was fixed. (XSA-54)
* CVE-2013-2077: A Hypervisor crash due to missing
exception recovery on XRSTOR was fixed. (XSA-53)
* CVE-2013-2211: libxl allowed guest write access to
sensitive console related xenstore keys. (XSA-57)
* CVE-2013-2076: An information leak on XSAVE/XRSTOR
capable AMD CPUs (XSA-52) was fixed, where parts of this
state could leak to other VMs.

Also the following bugs have been fixed:

* performance issues in mirror lvm (bnc#801663)
* aacraid driver panics mapping INT A when booting
kernel-xen (bnc#808085)
* Fully Virtualized Windows VM install failed on Ivy
Bridge platforms with Xen kernel (bnc#808269)
* Did not boot with i915 graphics controller with VT-d
enabled (bnc#817210)

Security Issue references:

* CVE-2013-2194
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2194
>
* CVE-2013-2195
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2195
>
* CVE-2013-2196
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2196
>


Special Instructions and Notes:

Please reboot the system after installing this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP3:

zypper in -t patch sdksp3-xen-201307-8063

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-xen-201307-8063

- SUSE Linux Enterprise Desktop 11 SP3:

zypper in -t patch sledsp3-xen-201307-8063

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 x86_64):

xen-devel-4.2.2_06-0.7.1

- SUSE Linux Enterprise Server 11 SP3 (i586 x86_64):

xen-kmp-default-4.2.2_06_3.0.82_0.7-0.7.1
xen-libs-4.2.2_06-0.7.1
xen-tools-domU-4.2.2_06-0.7.1

- SUSE Linux Enterprise Server 11 SP3 (x86_64):

xen-4.2.2_06-0.7.1
xen-doc-html-4.2.2_06-0.7.1
xen-doc-pdf-4.2.2_06-0.7.1
xen-libs-32bit-4.2.2_06-0.7.1
xen-tools-4.2.2_06-0.7.1

- SUSE Linux Enterprise Server 11 SP3 (i586):

xen-kmp-pae-4.2.2_06_3.0.82_0.7-0.7.1

- SUSE Linux Enterprise Desktop 11 SP3 (i586 x86_64):

xen-kmp-default-4.2.2_06_3.0.82_0.7-0.7.1
xen-libs-4.2.2_06-0.7.1
xen-tools-domU-4.2.2_06-0.7.1

- SUSE Linux Enterprise Desktop 11 SP3 (x86_64):

xen-4.2.2_06-0.7.1
xen-doc-html-4.2.2_06-0.7.1
xen-doc-pdf-4.2.2_06-0.7.1
xen-libs-32bit-4.2.2_06-0.7.1
xen-tools-4.2.2_06-0.7.1

- SUSE Linux Enterprise Desktop 11 SP3 (i586):

xen-kmp-pae-4.2.2_06_3.0.82_0.7-0.7.1


References:

http://support.novell.com/security/cve/CVE-2013-2194.html
http://support.novell.com/security/cve/CVE-2013-2195.html
http://support.novell.com/security/cve/CVE-2013-2196.html
https://bugzilla.novell.com/801663
https://bugzilla.novell.com/808085
https://bugzilla.novell.com/808269
https://bugzilla.novell.com/817210
https://bugzilla.novell.com/820917
https://bugzilla.novell.com/820919
https://bugzilla.novell.com/820920
https://bugzilla.novell.com/823011
https://bugzilla.novell.com/823608
?keywords=6f245c857571421a6701c20d04b046cb

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung